#
# spec file for package rubygem-jekyll
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-jekyll
Version:        4.3.1
Release:        1.6
%define mod_name jekyll
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.5.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            https://jekyllrb.com
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A simple, blog aware, static site generator
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Jekyll is a simple, blog aware, static site generator.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE README.markdown" \
  -f

%gem_packages

%changelog
* Fri Oct 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 4.3.1
  no changelog found
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 4.2.2
  no changelog found
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 4.2.1
  no changelog found
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 4.2.0
  no changelog found
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 4.1.1
  no changelog found
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 4.0.0
  no changelog found
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 3.8.6
  no changelog found
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 3.8.5
  no changelog found
* Tue Jun  5 2018 factory-auto@kulow.org
- updated to version 3.8.3
  no changelog found
* Sat May 19 2018 factory-auto@kulow.org
- updated to version 3.8.2
  no changelog found
* Tue May  1 2018 factory-auto@kulow.org
- updated to version 3.8.1
  no changelog found
* Fri Apr 20 2018 factory-auto@kulow.org
- updated to version 3.8.0
  no changelog found
* Mon Feb 26 2018 factory-auto@kulow.org
- updated to version 3.7.3
  no changelog found
* Thu Feb  8 2018 factory-auto@kulow.org
- updated to version 3.7.2
  no changelog found
* Tue Jan  9 2018 coolo@suse.com
- updated to version 3.7.0
  no changelog found
* Thu Oct 26 2017 coolo@suse.com
- updated to version 3.6.2
  no changelog found
* Wed Oct 11 2017 coolo@suse.com
- updated to version 3.6.0
  no changelog found
* Mon Sep 11 2017 coolo@suse.com
- updated to version 3.5.2
  no changelog found
* Thu Aug  3 2017 coolo@suse.com
- updated to version 3.5.1
  no changelog found
* Tue Jun 20 2017 coolo@suse.com
- updated to version 3.5.0
  no changelog found
* Wed Mar 22 2017 coolo@suse.com
- updated to version 3.4.3
  no changelog found
* Thu Mar 16 2017 coolo@suse.com
- updated to version 3.4.2
  no changelog found
* Fri Mar  3 2017 coolo@suse.com
- updated to version 3.4.1
  no changelog found
* Sat Jan 28 2017 coolo@suse.com
- updated to version 3.4.0
  no changelog found
* Tue Nov 15 2016 coolo@suse.com
- updated to version 3.3.1
  no changelog found
* Fri Oct  7 2016 coolo@suse.com
- updated to version 3.3.0
  no changelog found
* Sat Aug 13 2016 coolo@suse.com
- updated to version 3.2.1
  no changelog found
* Thu Jul 28 2016 coolo@suse.com
- updated to version 3.2.0
  no changelog found
* Sat May 21 2016 coolo@suse.com
- updated to version 3.1.6
  no changelog found
* Tue Apr 19 2016 coolo@suse.com
- updated to version 3.1.3
  no changelog found
* Sat Feb 20 2016 coolo@suse.com
- updated to version 3.1.2
  no changelog found
* Sat Jan 30 2016 coolo@suse.com
- updated to version 3.1.1
  no changelog found
* Mon Jan 25 2016 coolo@suse.com
- updated to version 3.1.0
  no changelog found
* Thu Jan 21 2016 coolo@suse.com
- updated to version 3.0.2
  no changelog found
* Thu Nov 19 2015 coolo@suse.com
- updated to version 3.0.1
  no changelog found
* Tue Oct 27 2015 coolo@suse.com
- updated to version 3.0.0
  no changelog found
* Mon Feb  9 2015 opensuse_buildservice@ojkastl.de
- version update to 2.5.3
  see http://jekyllrb.com/news/2014/12/22/jekyll-2-5-3-released/
* Tue Nov 25 2014 opensuse_buildservice@ojkastl.de
- recreated spec according to new packaging scheme
* Sat Nov 22 2014 opensuse_buildservice@ojkastl.de
- version update to 2.5.0
- added %%ghost for /usr/bin/jekyll
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun May 18 2014 coolo@suse.com
- updated to version 2.0.3
  see http://jekyllrb.com/news/2014/05/06/jekyll-turns-2-0-0/
* Sun Apr  6 2014 coolo@suse.com
- updated to version 1.5.1
  [#]## Bug Fixes
  * Only strip the drive name if it begins the string (#2176)
  [#]# 1.5.0 / 2014-03-24
  [#]## Minor Enhancements
  * Loosen `safe_yaml` dependency to `~> 1.0` (#2167)
  * Bump `safe_yaml` dependency to `~> 1.0.0` (#1942)
  [#]## Bug Fixes
  * Fix issue where filesystem traversal restriction broke Windows (#2167)
  * Lock `maruku` at `0.7.0` (#2167)
  [#]## Development Fixes
  * Lock `cucmber` at `1.3.11` (#2167)
* Mon Jan 20 2014 coolo@suse.com
- updated to version 1.4.3
  [#]## Bug Fixes
  * Patch show-stopping security vulnerabilities (#1944)
* Sat Dec 21 2013 coolo@suse.com
- updated to version 1.4.2
  [#]## Bug Fixes
  * Turn on Maruku fenced code blocks by default (#1830)
* Thu Dec 12 2013 coolo@suse.com
- updated to version 1.4.1
  [#]# Bug Fixes
  * Don't allow nil entries when loading posts (#1796)
* Mon Dec  9 2013 coolo@suse.com
- updated to version 1.4.0
  [#]## Major Enhancements
  * Add support for TOML config files (#1765)
  [#]## Minor Enhancements
  * Sort plugins as a way to establish a load order (#1682)
  * Update Maruku to 0.7.0 (#1775)
  [#]## Bug Fixes
  * Add a space between two words in a Pagination warning message (#1769)
  * Upgrade `toml` gem to `v0.1.0` to maintain compat with Ruby 1.8.7 (#1778)
  [#]## Development Fixes
  * Remove some whitespace in the code (#1755)
  * Remove some duplication in the reading of posts and drafts (#1779)
  [#]## Site Enhancements
  * Fixed case of a word in the Jekyll v1.3.0 release post (#1762)
  * Fixed the mime type for the favicon (#1772)
* Fri Nov 29 2013 coolo@suse.com
- updated to version 1.3.1
  [#]## Minor Enhancements
  * Add a `--prefix` option to passthrough for the importers (#1669)
  * Push the paginator plugin lower in the plugin priority order so
    other plugins run before it (#1759)
  [#]## Bug Fixes
  * Fix the include tag when ran in a loop (#1726)
  * Fix errors when using `--watch` on 1.8.7 (#1730)
  * Specify where the include is called from if an included file is
    missing (#1746)
  [#]## Development Fixes
  * Extract `Site#filter_entries` into its own object (#1697)
  * Enable Travis' bundle caching (#1734)
  * Remove trailing whitespace in some files (#1736)
  * Fix a duplicate test name (#1754)
  [#]## Site Enhancements
  * Update link to example Rakefile to point to specific commit (#1741)
  * Fix drafts docs to indicate that draft time is based on file modification
    time, not `Time.now` (#1695)
  * Add `jekyll-monthly-archive-plugin` and `jekyll-category-archive-plugin` to
    list of third-party plugins (#1693)
  * Add `jekyll-asset-path-plugin` to list of third-party plugins (#1670)
  * Add `emoji-for-jekyll` to list of third-part plugins (#1708)
  * Fix previous section link on plugins page to point to pagination page (#1707)
  * Add `org-mode` converter plugin to third-party plugins (#1711)
  * Point "Blog migrations" page to http://import.jekyllrb.com (#1732)
  * Add docs for `post_url` when posts are in subdirectories (#1718)
  * Update the docs to point to `example.com` (#1448)
* Fri Nov 22 2013 coolo@suse.com
- updated to version 1.3.0
  [#]## Major Enhancements
  * Add support for adding data as YAML files under a site's `_data`
    directory (#1003)
  * Allow variables to be used with `include` tags (#1495)
  * Allow using gems for plugin management (#1557)
  [#]## Minor Enhancements
  * Decrease the specificity in the site template CSS (#1574)
  * Add `encoding` configuration option (#1449)
  * Provide better error handling for Jekyll's custom Liquid tags
    (#1514)
  * If an included file causes a Liquid error, add the path to the
    include file that caused the error to the error message (#1596)
  * If a layout causes a Liquid error, change the error message so that
    we know it comes from the layout (#1601)
  * Update Kramdown dependency to `~> 1.2` (#1610)
  * Update `safe_yaml` dependency to `~> 0.9.7` (#1602)
  * Allow layouts to be in subfolders like includes (#1622)
  * Switch to listen for site watching while serving (#1589)
  * Add a `json` liquid filter to be used in sites (#1651)
  * Point people to the migration docs when the `jekyll-import` gem is
    missing (#1662)
  [#]## Bug Fixes
  * Fix up matching against source and destination when the two
    locations are similar (#1556)
  * Fix the missing `pathname` require in certain cases (#1255)
  * Use `+` instead of `Array#concat` when building `Post` attribute list (#1571)
  * Print server address when launching a server (#1586)
  * Downgrade to Maruku `~> 0.6.0` in order to avoid changes in rendering (#1598)
  * Fix error with failing include tag when variable was file name (#1613)
  * Downcase lexers before passing them to pygments (#1615)
  * Capitalize the short verbose switch because it conflicts with the
    built-in Commander switch (#1660)
  * Fix compatibility with 1.8.x (#1665)
  * Fix an error with the new file watching code due to library version
    incompatibilities (#1687)
  [#]## Development Fixes
  * Add coverage reporting with Coveralls (#1539)
  * Refactor the Liquid `include` tag (#1490)
  * Update launchy dependency to `~> 2.3` (#1608)
  * Update rr dependency to `~> 1.1` (#1604)
  * Update cucumber dependency to `~> 1.3` (#1607)
  * Update coveralls dependency to `~> 0.7.0` (#1606)
  * Update rake dependency to `~> 10.1` (#1603)
  * Clean up `site.rb` comments to be more concise/uniform (#1616)
  * Use the master branch for the build badge in the readme (#1636)
  * Refactor Site#render (#1638)
  * Remove duplication in command line options (#1637)
  * Add tests for all the coderay options (#1543)
  * Improve some of the cucumber test code (#1493)
  * Improve comparisons of timestamps by ignoring the seconds (#1582)
  [#]## Site Enhancements
  * Fix params for `JekyllImport::WordPress.process` arguments (#1554)
  * Add `jekyll-suggested-tweet` to list of third-party plugins (#1555)
  * Link to Liquid's docs for tags and filters (#1553)
  * Add note about installing Xcode on the Mac in the Installation docs (#1561)
  * Simplify/generalize pagination docs (#1577)
  * Add documentation for the new data sources feature (#1503)
  * Add more information on how to create generators (#1590, #1592)
  * Improve the instructions for mimicking GitHub Flavored Markdown
    (#1614)
  * Add `jekyll-import` warning note of missing dependencies (#1626)
* Mon Sep 23 2013 coolo@suse.com
- updated to version 1.2.1
  [#]## Minor Enhancements
  * Print better messages for detached server. Mute output on detach. (#1518)
  * Disable reverse lookup when running `jekyll serve` (#1363)
  * Upgrade RedCarpet dependency to `~> 2.3.0` (#1515)
  * Upgrade to Liquid `>= 2.5.2, < 2.6` (#1536)
  [#]## Bug Fixes
  * Fix file discrepancy in gemspec (#1522)
  * Force rendering of Include tag (#1525)
  [#]## Development Fixes
  * Add a rake task to generate a new release post (#1404)
  * Mute LSI output in tests (#1531)
  * Update contributor documentation (#1537)
  [#]## Site Enhancements
  * Fix a couple of validation errors on the site (#1511)
  * Make navigation menus reusable (#1507)
  * Fix link to History page from Release v1.2.0 notes post.
  * Fix markup in History file for command line options (#1512)
  * Expand 1.2 release post title to 1.2.0 (#1516)
* Fri Sep 13 2013 coolo@suse.com
- updated to version 1.2.0
  [#]## Major Enhancements
  * Disable automatically-generated excerpts when `excerpt_separator` is `""`. (#1386)
  * Add checking for URL conflicts when running `jekyll doctor` (#1389)
  [#]## Minor Enhancements
  * Catch and fix invalid `paginate` values (#1390)
  * Remove superfluous `div.container` from the default html template for
    `jekyll new` (#1315)
  * Add -D short-form switch for the drafts option (#1394)
  * Update the links in the site template for Twitter and GitHub (#1400)
  * Update dummy email address to example.com domain (#1408)
  * Update normalize.css to v2.1.2 and minify; add rake task to update
    normalize.css with greater ease. (#1430)
  * Add the ability to detach the server ran by `jekyll serve` from it's
    controlling terminal (#1443)
  * Improve permalink generation for URLs with special characters (#944)
  * Expose the current Jekyll version to posts and pages via a new
    `jekyll.version` variable (#1481)
  [#]## Bug Fixes
  * Markdown extension matching matches only exact matches (#1382)
  * Fixed NoMethodError when message passed to `Stevenson#message` is nil (#1388)
  * Use binary mode when writing file (#1364)
  * Fix 'undefined method `encoding` for "mailto"' errors w/ Ruby 1.8 and
    Kramdown > 0.14.0 (#1397)
  * Do not force the permalink to be a dir if it ends on .html (#963)
  * When a Liquid Exception is caught, show the full path rel. to site source (#1415)
  * Properly read in the config options when serving the docs locally
    (#1444)
  * Fixed `--layouts` option for `build` and `serve` commands (#1458)
  * Remove kramdown as a runtime dependency since it's optional (#1498)
  * Provide proper error handling for invalid file names in the include
    tag (#1494)
  [#]## Development Fixes
  * Remove redundant argument to
    Jekyll::Commands::New#scaffold_post_content (#1356)
  * Add new dependencies to the README (#1360)
  * Fix link to contributing page in README (#1424)
  * Update TomDoc in Pager#initialize to match params (#1441)
  * Refactor `Site#cleanup` into `Jekyll::Site::Cleaner` class (#1429)
  * Several other small minor refactorings (#1341)
  * Ignore `_site` in jekyllrb.com deploy (#1480)
  * Add Gem version and dependency badge to README (#1497)
  [#]## Site Enhancements
  * Add info about new releases (#1353)
  * Update plugin list with jekyll-rss plugin (#1354)
  * Update the site list page with Ruby's official site (#1358)
  * Add `jekyll-ditaa` to list of third-party plugins (#1370)
  * Add `postfiles` to list of third-party plugins (#1373)
* Wed Jul 31 2013 coolo@suse.com
- updated to version 1.1.2, see History.markdown
* Fri Jul 12 2013 coolo@suse.com
- fix usage of update-alternatives
* Sun Jun  9 2013 coolo@suse.com
- updated to version 1.0.3
  [#]## Minor Enhancements
  * Add support to gist tag for private gists. (#1189)
  * Fail loudly when MaRuKu errors out (#1190)
  * Move the building of related posts into their own class (#1057)
  * Removed trailing spaces in several places throughout the code (#1116)
  * Add a `--force` option to `jekyll new` (#1115)
  * Convert IDs in the site template to classes (#1170)
  [#]## Bug Fixes
  * Fix typo in Stevenson constant "ERROR". (#1166)
  * Rename Jekyll::Logger to Jekyll::Stevenson to fix inheritance issue (#1106)
  * Exit with a non-zero exit code when dealing with a Liquid error (#1121)
  * Make the `exclude` and `include` options backwards compatible with
    versions of Jekyll prior to 1.0 (#1114)
  * Fix pagination on Windows (#1063)
  * Fix the application of Pygments' Generic Output style to Go code
    (#1156)
  [#]## Site Enhancements
  * Add a Pro Tip to docs about front matter variables being optional (#1147)
  * Add changelog to site as History page in /docs/ (#1065)
  * Add note to Upgrading page about new config options in 1.0.x (#1146)
  * Documentation for `date_to_rfc822` and `uri_escape` (#1142)
  * Documentation highlight boxes shouldn't show scrollbars if not necessary (#1123)
  * Add link to jekyll-minibundle in the doc's plugins list (#1035)
  * Quick patch for importers documentation
  * Fix prefix for WordpressDotCom importer in docs (#1107)
  * Add jekyll-contentblocks plugin to docs (#1068)
  * Make code bits in notes look more natural, more readable (#1089)
  * Fix logic for `relative_permalinks` instructions on Upgrading page (#1101)
  * Add docs for post excerpt (#1072)
  * Add docs for gist tag (#1072)
  * Add docs indicating that Pygments does not need to be installed
    separately (#1099, #1119)
  * Update the migrator docs to be current (#1136)
  * Add the Jekyll Gallery Plugin to the plugin list (#1143)
  [#]## Development Fixes
  * Use Jekyll.logger instead of Jekyll::Stevenson to log things (#1149)
  * Fix pesky Cucumber infinite loop (#1139)
  * Do not write posts with timezones in Cucumber tests (#1124)
  * Use ISO formatted dates in Cucumber features (#1150)
* Fri May 24 2013 coolo@suse.com
- updated to version 1.0.2
  [#]## Major Enhancements
  * Add `jekyll doctor` command to check site for any known compatibility problems (#1081)
  * Backwards-compatibilize relative permalinks (#1081)
  [#]## Minor Enhancements
  * Add a `data-lang="<lang>"` attribute to Redcarpet code blocks (#1066)
  * Deprecate old config `server_port`, match to `port` if `port` isn't set (#1084)
  * Update pygments.rb version to 0.5.0 (#1061)
  * Update Kramdown version to 1.0.2 (#1067)
  [#]## Bug Fixes
  * Fix issue when categories are numbers (#1078)
  * Catching that Redcarpet gem isn't installed (#1059)
  [#]## Site Enhancements
  * Add documentation about `relative_permalinks` (#1081)
  * Remove pygments-installation instructions, as pygments.rb is bundled with it (#1079)
  * Move pages to be Pages for realz (#985)
  * Updated links to Liquid documentation (#1073)
  [#]# 1.0.1 / 2013-05-08
  [#]## Minor Enhancements
  * Do not force use of toc_token when using generate_tok in RDiscount (#1048)
  * Add newer `language-` class name prefix to code blocks (#1037)
  * Commander error message now preferred over process abort with incorrect args (#1040)
  [#]## Bug Fixes
  * Make Redcarpet respect the pygments configuration option (#1053)
  * Fix the index build with LSI (#1045)
  * Don't print deprecation warning when no arguments are specified. (#1041)
  * Add missing `</div>` to site template used by `new` subcommand, fixed typos in code (#1032)
  [#]## Site Enhancements
  * Changed https to http in the GitHub Pages link (#1051)
  * Remove CSS cruft, fix typos, fix HTML errors (#1028)
  * Removing manual install of Pip and Distribute (#1025)
  * Updated URL for Markdown references plugin (#1022)
  [#]## Development Fixes
  * Markdownify history file (#1027)
  * Update links on README to point to new jekyllrb.com (#1018)
* Tue Dec 25 2012 coolo@suse.com
- updated to version 0.12.0
* Wed Aug  1 2012 coolo@suse.com
- updated to version 0.11.2
* Fri Mar 18 2011 prusnak@opensuse.org
- update to 0.10.0
* Thu Oct  7 2010 prusnak@opensuse.org
- created package
